OGRE: Ogre::BuiltinScriptTranslatorManager Class Reference - OGRE Documentation

Public Member Functions | Private Attributes

# Ogre::BuiltinScriptTranslatorManager Class Reference
[General]

This class manages the builtin translators. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::BuiltinScriptTranslatorManager:
[legend]

List of all members.

## Public Member Functions
| BuiltinScriptTranslatorManager ()
virtual size_t | getNumTranslators () const
| Returns the number of translators being managed.
virtual ScriptTranslator * | getTranslator (const AbstractNodePtr &node)
| Returns a manager for the given object abstract node, or null if it is not supported.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Attributes
MaterialTranslator | mMaterialTranslator
TechniqueTranslator | mTechniqueTranslator
PassTranslator | mPassTranslator
TextureUnitTranslator | mTextureUnitTranslator
TextureSourceTranslator | mTextureSourceTranslator
GpuProgramTranslator | mGpuProgramTranslator
SharedParamsTranslator | mSharedParamsTranslator
ParticleSystemTranslator | mParticleSystemTranslator
ParticleEmitterTranslator | mParticleEmitterTranslator
ParticleAffectorTranslator | mParticleAffectorTranslator
CompositorTranslator | mCompositorTranslator
CompositionTechniqueTranslator | mCompositionTechniqueTranslator
CompositionTargetPassTranslator | mCompositionTargetPassTranslator
CompositionPassTranslator | mCompositionPassTranslator
CompositionPassClearTranslator | mCompositionPassClearTranslator
CompositionPassStencilTranslator | mCompositionPassStencilTranslator

## Detailed Description

This class manages the builtin translators.

Definition at line 271 of file OgreScriptTranslator.h.

## Constructor & Destructor Documentation

Ogre::BuiltinScriptTranslatorManager::BuiltinScriptTranslatorManager | ( |  | ) |

## Member Function Documentation

virtual size_t Ogre::BuiltinScriptTranslatorManager::getNumTranslators | ( |  | ) | const`[virtual]`

Returns the number of translators being managed.

Implements Ogre::ScriptTranslatorManager.

virtual ScriptTranslator* Ogre::BuiltinScriptTranslatorManager::getTranslator | ( | const AbstractNodePtr & | node | ) | `[virtual]`

Returns a manager for the given object abstract node, or null if it is not supported.

Implements Ogre::ScriptTranslatorManager.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

CompositionPassClearTranslator Ogre::BuiltinScriptTranslatorManager::mCompositionPassClearTranslator`[private]`

Definition at line 288 of file OgreScriptTranslator.h.

CompositionPassStencilTranslator Ogre::BuiltinScriptTranslatorManager::mCompositionPassStencilTranslator`[private]`

Definition at line 289 of file OgreScriptTranslator.h.

CompositionPassTranslator Ogre::BuiltinScriptTranslatorManager::mCompositionPassTranslator`[private]`

Definition at line 287 of file OgreScriptTranslator.h.

CompositionTargetPassTranslator Ogre::BuiltinScriptTranslatorManager::mCompositionTargetPassTranslator`[private]`

Definition at line 286 of file OgreScriptTranslator.h.

CompositionTechniqueTranslator Ogre::BuiltinScriptTranslatorManager::mCompositionTechniqueTranslator`[private]`

Definition at line 285 of file OgreScriptTranslator.h.

CompositorTranslator Ogre::BuiltinScriptTranslatorManager::mCompositorTranslator`[private]`

Definition at line 284 of file OgreScriptTranslator.h.

GpuProgramTranslator Ogre::BuiltinScriptTranslatorManager::mGpuProgramTranslator`[private]`

Definition at line 279 of file OgreScriptTranslator.h.

MaterialTranslator Ogre::BuiltinScriptTranslatorManager::mMaterialTranslator`[private]`

Definition at line 274 of file OgreScriptTranslator.h.

ParticleAffectorTranslator Ogre::BuiltinScriptTranslatorManager::mParticleAffectorTranslator`[private]`

Definition at line 283 of file OgreScriptTranslator.h.

ParticleEmitterTranslator Ogre::BuiltinScriptTranslatorManager::mParticleEmitterTranslator`[private]`

Definition at line 282 of file OgreScriptTranslator.h.

ParticleSystemTranslator Ogre::BuiltinScriptTranslatorManager::mParticleSystemTranslator`[private]`

Definition at line 281 of file OgreScriptTranslator.h.

PassTranslator Ogre::BuiltinScriptTranslatorManager::mPassTranslator`[private]`

Definition at line 276 of file OgreScriptTranslator.h.

SharedParamsTranslator Ogre::BuiltinScriptTranslatorManager::mSharedParamsTranslator`[private]`

Definition at line 280 of file OgreScriptTranslator.h.

TechniqueTranslator Ogre::BuiltinScriptTranslatorManager::mTechniqueTranslator`[private]`

Definition at line 275 of file OgreScriptTranslator.h.

TextureSourceTranslator Ogre::BuiltinScriptTranslatorManager::mTextureSourceTranslator`[private]`

Definition at line 278 of file OgreScriptTranslator.h.

TextureUnitTranslator Ogre::BuiltinScriptTranslatorManager::mTextureUnitTranslator`[private]`

Definition at line 277 of file OgreScriptTranslator.h.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01